<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Templates:
        Members:
          Index.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="content">
    <h1>Listing for Members</h1>

    <f:flashMessages />

    <table class="tx_smartverein">
        <tr>
            <th><f:translate key="tx_smartverein_domain_model_members.member_id" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.firstname" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.midname" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.lastname" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.status" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.salutation" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.title" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.street" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.zip" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.city" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.state" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.country" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.addition_to_address" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.leaving_wish" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.dateofbirth" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.profile_image" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.prefered_communication" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.method_of_payment" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.account_owner" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.iban" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.bic" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield1" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield2" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield3" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield4" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield5" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield6" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield7" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield8" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield9" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.customfield10" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.entry_date" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.leaving_date" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.mandate_reference" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.mandate_date" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.sepa_mandate" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.membership_application" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.leaving_statement" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.declaration_of_consent" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.payment_interval" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.email" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.phone" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.mobile" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.fax" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.member_type" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.organisation" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.contact_person" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.position" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.department" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.website" /></th>
            <th><f:translate key="tx_smartverein_domain_model_members.contact_person_salutation" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{members}" as="members">
            <tr>
                <td><f:link.action action="show" arguments="{members : members}">{members.memberId}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.firstname}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.midname}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.lastname}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.status}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.salutation}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.title}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.street}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.zip}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.city}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.state}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.country}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.additionToAddress}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.leavingWish}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.dateofbirth -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.profileImage.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.preferedCommunication}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.methodOfPayment}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.accountOwner}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.iban}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.bic}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield1}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield2}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield3}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield4}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield5}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield6}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield7}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield8}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield9}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.customfield10}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.entryDate -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.leavingDate -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.mandateReference}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.mandateDate -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.sepaMandate.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.membershipApplication.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.leavingStatement.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.declarationOfConsent.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.paymentInterval}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.email}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.phone}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.mobile}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.fax}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.memberType}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.organisation}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.contactPerson}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.position}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.department}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.website}</f:link.action></td>
                <td><f:link.action action="show" arguments="{members : members}">{members.contactPersonSalutation}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{members : members}">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{members : members}">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new">New Members</f:link.action>
</f:section>
</html>
